package agilpizza.servlet;

import java.io.IOException;
import java.util.Collection;
import java.util.HashMap;
import java.util.Map;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import agilpizza.dao.BebidasDAO;
import agilpizza.modelo.Bebida;
import agilpizza.modelo.CategoriaBebida;
import agilpizza.modelo.Pedido;

public class EscolheBebidasServlet extends HttpServlet {

	private static final long serialVersionUID = -4127253820264183478L;

	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {
		BebidasDAO bebidasDAO = (BebidasDAO) getServletContext().getAttribute(
				"bebidasDao");
		Collection<CategoriaBebida> categorias = bebidasDAO
				.buscaCategoriaBebidas();
		
		Pedido pedidoDoCliente = (Pedido) req.getSession().getAttribute("pedido");
		
		if (pedidoDoCliente == null) {
			pedidoDoCliente = new Pedido();
			req.getSession().setAttribute("pedido", pedidoDoCliente);
		}
		for (CategoriaBebida categoria : categorias) {
			for (Bebida bebida : categoria.getBebidas()) {
				String numeroDeUnidades = req.getParameter(bebida.getId());
				try {
					int quantidade = ValidacaoUtil
							.getQuantidade(numeroDeUnidades);
					pedidoDoCliente
							.alteraQuantidadeDeBebida(bebida, quantidade);
				} catch (NumberFormatException e) {
					req.getSession().setAttribute("textoDoErro",
							"Quantidade deve ser um número positivo.");
					req.getSession().setAttribute("paginaDeVolta",
							"bebidas.jsp");
					resp.sendRedirect("erro.jsp");
					return;
				}
			}
		}
		resp.sendRedirect("mostraBebidas.jsp");
	}

	@Override
	protected void doPost(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {
		this.doGet(req, resp);
	}
}
